%define upstream_name    POE-Component-Client-Keepalive
%define upstream_version 0.271

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Manage connections, with keep-alive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::IP::Minimal) >= 0.20.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Resolver) >= 0.917.0
BuildArch:  noarch

%description
POE::Component::Client::Keepalive creates and manages connections for
other components. It maintains a cache of kept-alive connections for
quick reuse. It is written specifically for clients that can benefit
from kept-alive connections, such as HTTP clients. Using it for one-shot
connections would probably be silly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:0.271.0-3.mga4
+ Revision: 513863
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.271.0-2.mga3
+ Revision: 371219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1:0.271.0-1.mga3
+ Revision: 255802
- update to 0.271

* Tue Mar 06 2012 jquelin <jquelin> 1:0.269.0-1.mga2
+ Revision: 219743
- update to 0.269
- update to 0.268

* Fri Jun 17 2011 jquelin <jquelin> 1:0.267.0-1.mga2
+ Revision: 109009
- update to 0.267

* Tue Feb 22 2011 jquelin <jquelin> 1:0.266.0-1.mga1
+ Revision: 56816
- update to 0.266

* Mon Jan 24 2011 jquelin <jquelin> 1:0.263.0-1.mga1
+ Revision: 36469
- mageia rebuild
- imported package perl-POE-Component-Client-Keepalive

